### Enumeration

# Gtk PolicyType

#### Declaration

    enum Gtk.PolicyType

#### Description [src]

Determines how the size should be computed to achieve the one of the visibility mode for the scrollbars.

#### Members

Name | Description
--- | ---
`GTK_POLICY_ALWAYS` | The scrollbar is always visible. The view size is independent of the content.
`GTK_POLICY_AUTOMATIC` | The scrollbar will appear and disappear as necessary. For example, when all of a `GtkTreeView` can not be seen.
`GTK_POLICY_NEVER` | The scrollbar should never appear. In this mode the content determines the size.
`GTK_POLICY_EXTERNAL` | Don’t show a scrollbar, but don’t force the size to follow the content. This can be used e.g. to make multiple scrolled windows share a scrollbar.